package Birdeyes.Configurations is
	pragma Preelaborate;
	
	Temporary_Directory : aliased constant String := "_data/tmp";
	Lock_Name : aliased constant String := "_data/tmp/lock-birdeyes";
	
	-- for debug
	Debug_Log_File_Name : aliased constant String := "_data/log/debug-log.txt";
	
	-- search path
	Additional_PATH : aliased constant String := "/usr/ports/bin";
	
	-- syndication info
	Syndications_Directory : aliased constant String := "_data/syndications";
	
	-- user info
	Users_Directory : aliased constant String := "_data/users";
	
	-- template
	Template_Index : aliased constant String := "template-index.html";
	Template_Register : aliased constant String := "template-register.html";
	Template_View : aliased constant String := "template-view.html";
	
	-- web
	Cookie_Duration : constant Duration := 4.0 * 24.0 * 60.0 * 60.0;
	
end Birdeyes.Configurations;
