with Birdeyes.Calendar.Serialization;
package body Birdeyes.Users.Serialization is
	
	procedure IO (
		Serializer : not null access Standard.Serialization.Serializer;
		Item : in out User_Info)
	is
		use Standard.Serialization;
		use Calendar.Serialization.Time_IO;
		use Password_Digest_IO;
		use Watching_Syndications_IO;
		use Showing_Mode_IO;
		procedure Watching_Syndications_Callback (
			Serializer : not null access Standard.Serialization.Serializer;
			Item : in out Watching_Syndication) is
		begin
			for P in IO (Serializer) loop
				IO (Serializer, "uri", Item.URI);
				IO (Serializer, "showing", Item.Showing);
			end loop;
		end Watching_Syndications_Callback;
	begin
		for P in IO (Serializer) loop
			IO (Serializer, "password", Item.Password);
			IO (Serializer, "creation-remote-addr", Item.Creation_Remote_Addr);
			IO (Serializer, "creation-remote-host", Item.Creation_Remote_Host);
			IO (Serializer, "creation-time", Item.Creation_Time);
			IO (Serializer, "last-remote-addr", Item.Last_Remote_Addr);
			IO (Serializer, "last-remote-host", Item.Last_Remote_Host);
			IO (Serializer, "last-time", Item.Last_Time);
			IO (Serializer, "watching", Item.Watching,
				Callback => Watching_Syndications_Callback'Access);
		end loop;
	end IO;
	
end Birdeyes.Users.Serialization;
