with Ada.Streams;
with Birdeyes.Syndications;
package Birdeyes.Users.View is
	
	Generator_Mark : constant String := "birdeyes";
	
	procedure Sort (
		Watching : in Watching_Syndications.List;
		Watched_Syndications : in out
			Syndications.Syndication_Info_And_Articles_Lists.List;
		Time : in Ada.Calendar.Time);
	
	procedure Fold (
		Watching : in Watching_Syndications.List;
		Watched_Syndications : in
			Syndications.Syndication_Info_And_Articles_Lists.List;
		Time : in Ada.Calendar.Time;
		Result : out Syndications.Article_Lists.List);
	
	procedure Write_RSS (
		Stream : not null access Ada.Streams.Root_Stream_Type'Class;
		Generator : in String := Generator_Mark;
		Link : in String := "";
		Title : in String := "";
		Articles : in Syndications.Article_Lists.List);
	
end Birdeyes.Users.View;
