with Serialization;
package Birdeyes.Syndications.Serialization is
	
	Tag : constant String := "birdeyes-syndication";
	
	package Stream_Element_Offset_IO is new Standard.Serialization.IO_Custom (
		Ada.Streams.Stream_Element_Offset,
		Ada.Streams.Stream_Element_Offset'Image,
		Ada.Streams.Stream_Element_Offset'Value,
		Triming => True);
	
	package Syndication_Version_IO is new Standard.Serialization.IO_Enumeration (
		Syndication_Version);
	
	use History_Lists;
	package History_List_IO is new Standard.Serialization.IO_List (
		Cursor => History_Lists.Cursor,
		Element_Type => History,
		Container_Type => History_Lists.List,
		Reference_Type => History_Lists.Reference_Type,
		Default => Default_History);
	
	procedure IO (
		Serializer : not null access Standard.Serialization.Serializer;
		Item : in out Syndication_Info);
	
end Birdeyes.Syndications.Serialization;
