with Ada.Strings.Functions;
package body Birdeyes.URI is
	
	function Normalize (URI : String) return String is
		First : Positive;
		Last : Natural;
	begin
		Ada.Strings.Functions.Trim (URI, Ada.Strings.Both,
			First => First, Last => Last);
		if URI'Length >= 5 and then URI (First .. First + 4) = "feed:" then
			return "http:" & URI (First + 5 .. Last);
		else
			return URI (First .. Last);
		end if;
	end Normalize;
	
end Birdeyes.URI;
