with Serialization;
package Birdeyes.Users.Serialization is
	
	Tag : constant String := "birdeyes-user";
	
	package Password_Digest_IO is new Standard.Serialization.IO_Custom (
		Password_Digest,
		Image,
		Value);
	
	package Showing_Mode_IO is new Standard.Serialization.IO_Enumeration (
		Showing_Mode);
	
	use Watching_Syndications;
	package Watching_Syndications_IO is new Standard.Serialization.IO_List (
		Cursor => Watching_Syndications.Cursor,
		Element_Type => Watching_Syndication,
		Container_Type => Watching_Syndications.List,
		Reference_Type => Watching_Syndications.Reference_Type,
		Default => Default_Watching_Syndication);
	
	procedure IO (
		Serializer : not null access Standard.Serialization.Serializer;
		Item : in out User_Info);
	
end Birdeyes.Users.Serialization;
